View Issue Details

IDProjectCategoryView StatusLast Update
0002955GNUnetset servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version 
Summary0002955: GNUNET_set_listen calls listen CB with NULL request
DescriptionThis seems to come from 'handle_client_listener_error', which I don't understand why it even exists.

This API quirk needs to be discussed.
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Florian Dold

2013-07-22 13:57

developer   ~0007260

Agreed, calling the callback with a NULL request is not useful ...

Should we reconnect with exponential backoff then?

Christian Grothoff

2013-07-24 14:11

manager   ~0007293

Yes.

Florian Dold

2013-08-13 16:38

developer   ~0007368

set's listener now transparently reconnects with exponential backoff

Issue History

Date Modified Username Field Change
2013-07-22 10:32 Christian Grothoff New Issue
2013-07-22 10:32 Christian Grothoff Status new => assigned
2013-07-22 10:32 Christian Grothoff Assigned To => Florian Dold
2013-07-22 10:32 Christian Grothoff Severity crash => major
2013-07-22 13:57 Florian Dold Note Added: 0007260
2013-07-22 20:53 Christian Grothoff Relationship added child of 0001795
2013-07-23 23:57 Florian Dold Status assigned => feedback
2013-07-24 14:11 Christian Grothoff Note Added: 0007293
2013-07-24 14:11 Christian Grothoff Status feedback => assigned
2013-08-13 16:38 Florian Dold Note Added: 0007368
2013-08-13 16:38 Florian Dold Status assigned => resolved
2013-08-13 16:38 Florian Dold Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed